Bug 1238913 - shotwell runs out of memory while displaying thumbnails
Summary: shotwell runs out of memory while displaying thumbnails
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-03 02:22 UTC by Guil Barros
Modified: 2016-07-19 15:10 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 15:10:44 UTC


Attachments (Terms of Use)
Screenshot showing the issue. (61.74 KB, image/png)
2015-07-03 02:22 UTC, Guil Barros
no flags Details

Description Guil Barros 2015-07-03 02:22:55 UTC
Created attachment 1045705 [details]
Screenshot showing the issue.

Description of problem:
While scrolling through thumbnails, shotwell will stop displaying images and OOM errors show up in the logs:
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `CheckerboardLayout': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkViewport': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `LibraryMainPage': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkNotebook': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkBox': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkPaned': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkBox': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `LibraryWindow': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkViewport': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `LibraryMainPage': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkNotebook': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkBox': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkPaned': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `GtkBox': out of memory
Jul 02 21:16:33 x1.bappos.com shotwell.desktop[9234]: (shotwell:9234): Gtk-WARNING **: drawing failure for widget `LibraryWindow': out of memory


Version-Release number of selected component (if applicable):
shotwell-0.22.0-4.fc22.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Import or use exisitng library of 10k+ images
2. scroll through thumbnails to around image 8k
3. issue happens.

Actual results:
Thumbnail window goes blank and stops displaying thumbnails.

Expected results:
Continue to scroll through thumbnails to the end.

Additional info:

Comment 1 John Ferlito 2015-08-16 04:45:08 UTC
I'm seeing the same thing with 0.22 on Ubuntu

Comment 2 Fedora End Of Life 2016-07-19 15:10:44 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.